[GeForce 7025 / nForce 630a] System freeze

Bug #1649566 reported by Dieter Maurer on 2016-12-13
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Low
Unassigned

Bug Description

Yesterday, I upgraded from Ubuntu 12.04 via 14.04 to 16.04. From 14.04 on, I was unable to graphically log in. A few seconds after the login (varying between 1 and 10 s), the screen changed to a pattern with dense white stripes on the violet/red background, and X froze (no reaction to mouse or keyboard). The latest messages in "/var/log/syslog" each time showed varying "nouveau E" problems, e.g. "unrecognized interupt", "PFIFO", or "PBUS" problems such as e.g.: "nouveau E[ PBUS][0000:00:0d.0] MMIO write of 0x01f70001 FAULT at 0x00b010" (values and addresses varying).

Usually, the freeze happens when e.g. "firefox" is started (which happens in my context automatically after a graphical login). In my case, the NVidia driver could not be started (I did not investigate why). Using boot parameter "nouveau.config=NvMSI=0" made the graphical login successful again.

Today, I wanted to report the bug with "ubuntu-bug". However, during the collection of the system information, the error happened again (despite the "nouveau.config" boot parameter).

Syslog gives:
...
Dec 13 11:12:01 localhost CRON[5230]: (root) CMD ( test -x /etc/cron.daily/popularity-contest && /etc/cron.daily/popularity-contest --crond)
Dec 13 11:14:16 localhost kernel: [ 6889.138599] nouveau E[ PBUS][0000:00:0d.0] MMIO write of 0x07920001 FAULT at 0x00b020
Dec 13 11:14:16 localhost kernel: [ 6889.140532] nouveau E[ PBUS][0000:00:0d.0] MMIO write of 0x07920001 FAULT at 0x00b020
Dec 13 11:14:59 localhost dbus[795]: [system] Activating service name='com.ubuntu.SoftwareProperties' (using servicehelper)
Dec 13 11:14:59 localhost dbus[795]: [system] Successfully activated service 'com.ubuntu.SoftwareProperties'
Dec 13 11:15:01 localhost CRON[5285]: (root) CMD (command -v debian-sa1 > /dev/null && debian-sa1 1 1)
Dec 13 11:17:01 localhost CRON[5303]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Dec 13 11:20:01 localhost CRON[5327]: (smmsp) CMD (test -x /etc/init.d/sendmail && test -x /usr/share/sendmail/sendmail && test -x /usr/lib/sm.bin/sendmail && /usr/share/sendmail/sendmail cron-msp)
Dec 13 11:22:20 localhost kernel: [ 7372.621357] nouveau E[ PBUS][0000:00:0d.0] MMIO write of 0x00000000 FAULT at 0x00b020
Dec 13 11:25:01 localhost CRON[5580]: (root) CMD (command -v debian-sa1 > /dev/null && debian-sa1 1 1)
Dec 13 11:35:01 localhost CRON[5651]: (root) CMD (command -v debian-sa1 > /dev/null && debian-sa1 1 1)
Dec 13 11:38:02 localhost gnome-session[2248]: Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Dec 13 11:39:01 localhost CRON[5723]: (root) CMD ( [ -x /usr/lib/php5/maxlifetime ] && [ -x /usr/lib/php5/sessionclean ] && [ -d /var/lib/php5 ] && /usr/lib/php5/sessionclean /var/lib/php5 $(/usr/lib/php5/maxlifetime))
Dec 13 11:39:01 localhost CRON[5722]: (root) CMD ( [ -x /usr/lib/php/sessionclean ] && /usr/lib/php/sessionclean)
Dec 13 11:39:46 localhost gnome-session[2248]: Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

At this point, I had to reset the computer.

---
ApportVersion: 2.20.1-0ubuntu2.15
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,move,resize,snap,place,grid,vpswitch,gnomecompat,mousepoll,imgpng,session,regex,animation,unitymtgrabhandles,workarounds,wall,fade,expo,ezoom,scale,unityshell]
DistUpgraded: 2016-12-12 17:25:47,166 DEBUG Running PostInstallScript: './xorg_fix_proprietary.py'
DistroCodename: xenial
DistroRelease: Ubuntu 16.04
DistroVariant: ubuntu
DpkgLog:

ExtraDebuggingInterest: Yes
GraphicsCard:
 NVIDIA Corporation C61 [GeForce 7025 / nForce 630a] [10de:03d6] (rev a2) (prog-if 00 [VGA controller])
   Subsystem: ASRock Incorporation C61 [GeForce 7025 / nForce 630a] [1849:03d6]
InstallationDate: Installed on 2013-01-21 (1838 days ago)
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release i386 (20120817.3)
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
Package: xorg 1:7.7+13ubuntu3
PackageArchitecture: i386
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-112-generic root=UUID=9c03cebc-9cba-47bc-9974-5c236a34906e ro nouveau.config=NvMSI=0
ProcVersionSignature: Ubuntu 4.4.0-112.135-generic 4.4.98
Tags: xenial ubuntu
Uname: Linux 4.4.0-112-generic i686
UpgradeStatus: Upgraded to xenial on 2016-12-12 (416 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 05/27/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.30
dmi.board.name: N68-S3 UCC
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.30:bd05/27/2010:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnN68-S3UCC:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.
version.compiz: compiz 1:0.9.12.2+16.04.20160823-0ubuntu1
version.libdrm2: libdrm2 2.4.83-1~16.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 17.2.4-0ubuntu1~16.04.4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 17.2.4-0ubuntu1~16.04.4
version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-0ubuntu0.7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160325-1ubuntu1.2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2

Dieter Maurer (d.maurer) on 2016-12-13
affects: xemacs21 (Ubuntu) → xserver-xorg-video-nouveau (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-nouveau (Ubuntu):
status: New → Confirmed
Diogo Gomes (diogogomes) wrote :

Same here.

I have a fresh installation and a lot of random freezes.

Detailed system information:

lsb_release -rd
Description: Ubuntu 16.04.2 LTS
Release: 16.04

xserver-xorg-video-nouveau:
  Instalado: 1:1.0.12-1build2
  Candidato: 1:1.0.12-1build2
  Tabela de Versão:
 *** 1:1.0.12-1build2 500
        500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
        100 /var/lib/dpkg/status

lspci
00:00.0 RAM memory: NVIDIA Corporation MCP61 Memory Controller (rev a1)
00:01.0 ISA bridge: NVIDIA Corporation MCP61 LPC Bridge (rev a2)
00:01.1 SMBus: NVIDIA Corporation MCP61 SMBus (rev a2)
00:01.2 RAM memory: NVIDIA Corporation MCP61 Memory Controller (rev a2)
00:02.0 USB controller: NVIDIA Corporation MCP61 USB 1.1 Controller (rev a2)
00:02.1 USB controller: NVIDIA Corporation MCP61 USB 2.0 Controller (rev a2)
00:04.0 PCI bridge: NVIDIA Corporation MCP61 PCI bridge (rev a1)
00:05.0 Audio device: NVIDIA Corporation MCP61 High Definition Audio (rev a2)
00:06.0 IDE interface: NVIDIA Corporation MCP61 IDE (rev a2)
00:07.0 Bridge: NVIDIA Corporation MCP61 Ethernet (rev a2)
00:08.0 IDE interface: NVIDIA Corporation MCP61 SATA Controller (rev a2)
00:09.0 PCI bridge: NVIDIA Corporation MCP61 PCI Express bridge (rev a2)
00:0b.0 PCI bridge: NVIDIA Corporation MCP61 PCI Express bridge (rev a2)
00:0c.0 PCI bridge: NVIDIA Corporation MCP61 PCI Express bridge (rev a2)
00:0d.0 VGA compatible controller: NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2)
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Miscellaneous Control

Dieter Maurer (d.maurer) wrote :

For me, the situation has significantly improved with the latest Ubuntu 16.04: for "normal" operation, I no longer need "nouveau.config=NvMSI=0" as kernel boot parameter.

I still see that things are not yet perfect:
  * moving the mouse over the window top bar occasionally shows a black and white pattern in this bar (which disappears, once the mouse has completely left the window).
  * recently, I had a freeze again after a long time without freezing -- opening a large utf-8 encoded "csv" file with a (wrong) "utf-16" BOM in "libreoffice calc" (leading to lots of nonsense characters).
Thus, while the problem is not yet fixed completely, there has been significant improvements (at least for my card).

Maybe, the improvements result from a side effect of having used the Nvidia proprietary driver in the meantime. I have seen a report reporting something like "nouveau gives problems - switching to Nvidia; Nvidia gives problems - switching back to nouveau - nouveau problems have disappeared". I have no idea how something like that could be possible - but my case looks similar.

Dieter Maurer, thank you for reporting this and helping make Ubuntu better.

After confirming the package xdiagnose is installed, click the Yes button for attaching additional debugging information after running the following from a terminal:
apport-collect 1649566

affects: xserver-xorg-video-nouveau (Ubuntu) → xorg (Ubuntu)
Changed in xorg (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
tags: added: regression-potential
Dieter Maurer (d.maurer) wrote :

Calling "apport-collect 1649566" reproducible causes the crash reported in this ticket.
Is there a different way to provide the information you need?

apport information

tags: added: apport-collected ubuntu xenial
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

In comment #6 I had reported that "apport-collect 1649566" reproduces the freeze.

I was now able to successfully transfer the data by calling "apport-collect" outside the X system. Because, it did not run under X, it might not contail all information you would like. In this case, let me know how to obtain the missing information.

Dieter Maurer:

1) To see if this is already resolved in Ubuntu, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results? If still reproducible, please post results following:
https://wiki.ubuntu.com/DebuggingKernelBoot
https://wiki.ubuntu.com/DebuggingSystemCrash

2) To clarify, when you were using 12.04, you didn't have any crashing whatsoever when using nouveau without any kernel parameters?

3) Does the nvidia driver still not work for you in 16.04?

description: updated
tags: added: bios-outdated-1.60
tags: added: trusty
summary: - xserver-xorg-video-nouveau: X freeze
+ [GeForce 7025 / nForce 630a] System freeze
Dieter Maurer (d.maurer) wrote :

Responses to your previous questions:
1) It may take a bit of time before I can make the tests with the current Ubuntu version. And, I fear that such tests might not be reliable: after the temporary use of the NVidia driver I could use the "nouveau" driver for some time even without the special boot parameter "nouveau.config=NvMSI=0" - only after some months, new freezes occurred. I have the feeling that the problem (now) arises non-deterministically -- likely dependent on environment factors such as temperature and/or humidity.
While freezes are now rather rare for me, I often observe that the top bars of my windows (usually black) are drawn in an irregular black/white pattern (similar to the freeze pattern) when I move the mouse pointer over the bar. I have the feeling that this is related to the freeze problem.

2) I had no crashes in Ubuntu 12.04 - without any kernel boot parameters. But, I am not sure that under 12.04, I was already using the "nouveau" driver. Earlier Ubuntu versions have been using another standard driver for NVidia cards (likely "nv") and I can no longer remember which Ubuntu version has switched to "nouveau". I myself did not actively switch to "nouveau".

3) I could use the NVidia driver for some time under Ubuntu 16.04. But, its use is unstable in the sense that an Ubuntu update can render it dysfunctional (apparently, a post installation step has problems to properly integrate the NVidia driver) and it is very nasty to fix things up afterwards (I must use a different driver and then reinstall the NVidia driver via "system administration"). I therefore switched back to "nouveau".

Dieter Maurer:
>"It may take a bit of time before I can make the tests with the current Ubuntu version."

If the problem is reproducible in a live environment, then testing that would be fine.

>"And, I fear that such tests might not be reliable: after the temporary use of the NVidia driver I could use the "nouveau" driver for some time even without the special boot parameter "nouveau.config=NvMSI=0" - only after some months, new freezes occurred."

Such test is reliable, in that it provides additional data points with later versions of various related packages. This is required in order to upstream an issue for upstream developers to address.

Despite this, if one notices different environment behavior with nouveau after such maneuvering, the proprietary driver may be twiddling some bits that luckily improve stability after removal. It could also be a coincedence.

>"I have the feeling that the problem (now) arises non-deterministically -- likely dependent on environment factors such as temperature and/or humidity."

Evidence and data are helpful, guesses/feelings/hunches aren't. One may monitor internal temperatures via https://help.ubuntu.com/community/SensorInstallHowto in order to prove a correlation.

>"While freezes are now rather rare for me, I often observe that the top bars of my windows (usually black) are drawn in an irregular black/white pattern (similar to the freeze pattern) when I move the mouse pointer over the bar."

This report is scoped to freezing/crashing. If you are having graphical issues without freezing/crashing that's a different problem for a new report. Feel free to file a new one scoped to that and subscribe me to it.

Dieter Maurer (d.maurer) wrote :

> 1) To see if this is already resolved in Ubuntu, could you please test
> http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

I tried, but the resulting DVD does not boot:
   -- maybe, because it is for for the x64 platform while I typically use the i386 platform
   (however, my AMD Sempron should support x64)
   -- maybe due to a burning problem (the burning has been surprisingly fast; just some 10 s).

Dieter Maurer:
>"I tried, but the resulting DVD does not boot:"

Then please post the results requested in https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1649566/comments/21 so it may be reviewed.

>"-- maybe, because it is for for the x64 platform while I typically use the i386 platform (however, my AMD Sempron should support x64)"

Your CPU supports x64 as per AMD -> https://www.amd.com/en-us/products/processors/desktop/sempron-cpu#

>"-- maybe due to a burning problem (the burning has been surprisingly fast; just some 10 s)."

Did you checksum the ISO you downloaded? If so and it passed, you can make an ISO of what you burned and checksum this to confirm it burned correctly via a terminal:
sudo dd if=/dev/sdX of=file.iso

Where X is the letter for your cd drive.

Dieter Maurer (d.maurer) wrote :

> Then please post the results requested in
> https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1649566/comments/21
> so it may be reviewed.

Comment 21:
>> If still reproducible, please post results following:

>> https://wiki.ubuntu.com/DebuggingKernelBoot
This is not applicable as booting is successful

>> https://wiki.ubuntu.com/DebuggingSystemCrash
I reproduced the crash and tried "Alt+SysRq+1" followed by "Alt+SysRq+t".
As the display was frozen with the blue-white pattern I did not see a traceback. After reboot,
I found in "kern.log":

Feb 5 19:05:10 localhost kernel: [ 4756.501608] nouveau 0000:00:0d.0: bus: MMIO write of 01b20001 FAULT at 00b020
Feb 5 19:05:11 localhost kernel: [ 4758.190584] nouveau 0000:00:0d.0: bus: MMIO write of 00000000 FAULT at 00b020
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@Feb 5 19:07:22 localhost kernel: [ 0.000000] Initializing cgroup subsys cpuset

I see many further "MMIO write of XXXX FAULT at 00b0[12]0" in "kern.log" (I will attach the extract of "nouveau" messages from "kern.log").

Obiously, the kernel is in a very bad state. Do you see a good chance that a crash kernel would get activated in the situation above?

> Did you checksum the ISO you downloaded?
Yes

> If so and it passed, you can make an ISO of what you burned and checksum this to confirm it burned correctly via a terminal:
> sudo dd if=/dev/sdX of=file.iso

Surprisingly "sudo dd if=/dev/sr0 of=file.iso" ("sr0" corresponds to my DVD drive)
resulted in a much larger "file.iso" than the original Ubuntu ISO file (I aborted the copy after "file.iso" grew up to about 2.7 GB (the Ubuntu ISO is about 1.5 GB)).
When I mount the burned ISO file, the "properties" menu and "du -s" tell me the correct size (thus, the "dd" copy may do something wrong).

Dieter Maurer:
1) Regarding logs, please don't cut, snip, extract, etc. Attach them in full.

2) To advise, please post dmesg in full.

3) As per your snipped log, it looks like you are grabbing logs from your install. What is needed are the logs/video from booting http://cdimage.ubuntu.com/daily-live/current/ .

Dieter Maurer (d.maurer) wrote :
Dieter Maurer (d.maurer) wrote :
Dieter Maurer (d.maurer) wrote :

> 3) As per your snipped log, it looks like you are grabbing logs from your install. What is
> needed are the logs/video from booting http://cdimage.ubuntu.com/daily-live/current/.

You are right. All attachments come from the installation, not the "current" Ubuntu.

I see no chance to get the DVD debugged: the failure is very early - likely immediately after the BIOS has passed control to the DVD. "https://wiki.ubuntu.com/DebuggingKernelBoot" remains unapplicable, as no boot loader is involved (which would allow me to set boot parameters) or as the problem already occurs before the loader on the DVD gets activated.

Likely, something went wrong with burning the DVD. I will try (probably tomorrow) to burn with a different device (I already tried with 2 different DVDs to exclude media failures).

Dieter Maurer (d.maurer) wrote :

Using a different drive, I could successfully burn the daily Ubuntu Live CD. I was not able to reproduce the freeze with the corresponding installation.

Thank you for your support.

Dieter Maurer, would you need a backport to a release prior to 18.04 or may this be closed as Invalid?

Dieter Maurer (d.maurer) wrote :

I have lived for more than 1 year with the problem (as told earlier, the freeze happens nowadays only occasionally) and, thus, I do not need a backport but can wait for 18.04 to be released. Thank you again!

Changed in xorg (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers